Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005650TestLinkReportspublic2013-04-20 17:462013-05-22 20:58
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005650: Test Plan Design Report, Test Plan Execution Report refactoring
DescriptionAfter evaluation different contributions (see related issues) choice is

1. rename reports:
1.1 Test Plan => Test Plan Design Report
1.1 Test Report => Test Plan Execution Report

Menu items will retain for a while old names

2. Layout changes / improvements
2.1 First Page
2.1.1 Report type/name will be added
2.1.2 Context information
      Test Project: XXXXX
      Test Plan: XXXX
      [Test Suite:XXXX] <<< only if user has choosen to print at test suite level

2.2 Second page
2.2.1 Table of Contents
      When Platforms are used there will be a Chapter for each platform
      (Contribution)
2.2.3 AFTER table of contents, Test Project scope and Test Plan scope
will be printed.
  

3. Report Options
3.1 Test Plan notes/description & test plan custom fields will be always
    printed USER CHOICE REMOVED .
    IMHO does not have any sense when you are trying to get info about test plan, exclude test plan notes/description.

Additional InformationSee attached files
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespdf file icon testplan_PLAN-NO_PLAT.pdf [^] (147,829 bytes) 2013-04-20 17:50

- Relationships
related to 0005612closedfman contribution : some minor issues and some enhancements in Test Plan Report for multiplatforms testplan 
related to 0005644new Integrate Build and Platform into Word and HTML report 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018740)
fman (administrator)
2013-04-20 17:51

Any suggestions / hint for better page control will be welcomed
(0018741)
fman (administrator)
2013-04-20 18:06

Technical Details:
We are using page-break-before: CSS property to control layout AT PRINTING TIME.
No difference is seeing when displaying on BROWSER

- Issue History
Date Modified Username Field Change
2013-04-20 17:46 fman New Issue
2013-04-20 17:46 fman Status new => assigned
2013-04-20 17:46 fman Assigned To => fman
2013-04-20 17:48 fman Description Updated View Revisions
2013-04-20 17:49 fman Additional Information Updated View Revisions
2013-04-20 17:50 fman File Added: testplan_PLAN-NO_PLAT.pdf
2013-04-20 17:51 fman Note Added: 0018740
2013-04-20 18:06 fman Note Added: 0018741
2013-04-20 18:24 fman Relationship added related to 0005612
2013-04-20 18:24 fman Relationship added related to 0005644
2013-04-21 14:28 fman Description Updated View Revisions
2013-04-21 14:30 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-04-21 14:30 fman Status assigned => resolved
2013-04-21 14:30 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-04-21 14:30 fman Resolution open => fixed
2013-04-21 14:31 fman Relationship added child of 0005551
2013-05-22 20:58 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker